Bug 433825 - (CVE-2008-0596) CVE-2008-0596 cups: memory leak handling IPP browse requests
CVE-2008-0596 cups: memory leak handling IPP browse requests
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20080225,reported=20080222,sou...
: Security
Depends On: 433827 433828 433829
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 11:44 EST by Mark J. Cox (Product Security)
Modified: 2016-03-04 06:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 09:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch as used in Red Hat Enterprise Linux 4 CUPS packages based on upstream 1.1.22rc1 (2.66 KB, patch)
2008-07-28 03:05 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Mark J. Cox (Product Security) 2008-02-21 11:44:05 EST
Whilst investigating a double-free issue in process_browse_data (Bug #433758) we
discovered that older versions of CUPS as shipped with Enterprise Linux 3 and 4
did not free the mime type allocated when a remote resource timed out.

A malicious user on the local subnet could send carefully crafted IPP packets to
the udp port in such a way as to consume memory and lead to a CUPS crash.
Comment 3 Tomas Hoger 2008-02-25 08:12:58 EST
Lifting embargo.
Comment 4 Red Hat Product Security 2008-02-25 09:34:10 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2008-0153.html
  http://rhn.redhat.com/errata/RHSA-2008-0161.html

Comment 5 Tomas Hoger 2008-07-28 03:05:26 EDT
Created attachment 312752 [details]
Patch as used in Red Hat Enterprise Linux 4 CUPS packages based on upstream 1.1.22rc1

Note You need to log in before you can comment on or make changes to this bug.